org.eclipse.wst.jsdt.ui.actions

## Class WriteReferencesSearchGroup

- java.lang.Object
- - ActionGroup
  - - org.eclipse.wst.jsdt.ui.actions.WriteReferencesSearchGroup

    public class WriteReferencesSearchGroup
    extends ActionGroup

Action group that adds the search for write references actions to a context menu and the global menu bar.

This class may be instantiated; it is not intended to be subclassed.

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### Constructor Summary

Constructors
Constructor and Description
`WriteReferencesSearchGroup(IWorkbenchSite site)` Creates a new `WriteReferencesSearchGroup`.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `dispose()`
`void` `fillActionBars(IActionBars actionBars)`
`void` `fillContextMenu(IMenuManager manager)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WriteReferencesSearchGroup

    public WriteReferencesSearchGroup(IWorkbenchSite site)

Creates a new `WriteReferencesSearchGroup`. The action requires that the selection provided by the site's selection provider is of type `org.eclipse.jface.viewers.IStructuredSelection`.

Parameters:
  `site` - the view part that owns this action group

### Method Detail

#### fillContextMenu

    public void fillContextMenu(IMenuManager manager)

#### fillActionBars

    public void fillActionBars(IActionBars actionBars)

#### dispose

    public void dispose()